#!/bin/sh
mode=$(cat /root/.func/netmode)
wifi=$(cat /root/.func/config|grep WIFI)
if [ "$wifi" != "" ]
echo 0 > /sys/class/rfkill/rfkill0/state
sleep 2
echo 1 > /sys/class/rfkill/rfkill0/state
sleep 2

brcm_patchram_plus1 --bd_addr_rand --enable_hci --no2bytes --use_baudrate_for_download  --tosleep  200000 --baudrate 1500000 --patchram  /etc/firmware/ /dev/ttyS1 &
then
if [ "$mode" = "ETH" ]
then
	sleep 10
	ifconfig wlan0 down
	nmcli radio wifi off
	rfkill unblock wlan
	ifconfig wlan0 192.168.4.1 netmask 255.255.255.0 up
	sleep 5
	hostapd -B /etc/hostapd/hostapd.conf
	ip=$(ifconfig eth0|grep netmask|awk -F' ' '{print $2}')
	while [ "$ip" = "" ]
	do
		sleep 5
		ip=$(ifconfig eth0|grep netmask|awk -F' ' '{print $2}')
	done
	echo "router start"
	iptables -A FORWARD -i wlan0 -o eth0 -j ACCEPT
	iptables -A FORWARD -i eth0 -o wlan0 -m state --state ESTABLISHED,RELATED -j ACCEPT
	iptables -t nat -A POSTROUTING  -o eth0 -j MASQUERADE
else
	ifconfig eth0 192.168.4.1 netmask 255.255.255.0 up
	sleep 10
	rfkill unblock wlan
	sleep 5
	ifconfig eth0 down
	sleep 5
	ifconfig eth0 192.168.4.1 netmask 255.255.255.0 up
	sleep 2
	systemctl restart dnsmasq
	sleep 5
	ip=$(ifconfig wlan0|grep netmask|awk -F' ' '{print $2}')
	while [ "$ip" = "" ]
	do
	        sleep 5
	        ip=$(ifconfig wlan0|grep netmask|awk -F' ' '{print $2}')
	done

	iptables -A FORWARD -i eth0 -o wlan0 -j ACCEPT
	iptables -A FORWARD -i wlan0 -o eth0 -m state --state ESTABLISHED,RELATED  -j ACCEPT
	iptables -t nat -A POSTROUTING  -o wlan0 -j MASQUERADE
fi
fi

while true
do
	
	 if [ "$wifi" != "" ] && [ "$mode" = "ETH" ]
        then
                res=$(ifconfig |grep wlan0)
                if [ "$res" = "" ]
                then
                        killall hostapd
                        ifconfig wlan0 down
                        nmcli radio wifi off
                        rfkill unblock wlan
                        ifconfig wlan0 192.168.4.1 netmask 255.255.255.0 up
                        sleep 5
                        hostapd -B /etc/hostapd/hostapd.conf

                fi
        fi
        sleep 5
done
